---
layout: commands
page_title: 'Commands: Connect'
description: >-
  The `consul connect` command interacts with Consul's service mesh features. It exposes top-level commands for interacting with the internal CA and service mesh proxies, exposing services through ingress gateways, and applying iptables rules.
---

# Consul Connect

Command: `consul connect`

The `connect` command is used to interact with the connect subsystem
that provides Consul's [service mesh](/consul/docs/connect) capabilities.
It exposes commands for running service mesh proxies and
for viewing/updating the service mesh Certificate Authority (CA) configuration.

## Usage

Usage: `consul connect <subcommand>`

For the exact documentation for your Consul version, run `consul connect -h` to view
the complete list of subcommands.

```text
Usage: consul connect <subcommand> [options] [args]

  This command has subcommands for interacting with Consul service mesh.

  Here are some simple examples, and more detailed examples are available
  in the subcommands or the documentation.

  Run the production service mesh proxy

      $ consul connect envoy

  For more examples, ask for subcommand help or view the documentation.

Subcommands:
    ca                  Interact with the Consul service mesh Certificate Authority (CA)
    envoy               Runs or configures Envoy as a service mesh proxy
    expose              Expose a mesh-enabled service through an Ingress gateway
    proxy               Runs a non-production, built-in service mesh sidecar proxy
    redirect-traffic    Applies iptables rules for traffic redirection
```

For more information, examples, and usage about a subcommand, click on the name
of the subcommand in the sidebar.
